{...}: {
  imports = [
    ../../modules
  ];

  config.horseman = {
    users.default.enable = true;

    base = {
      nix.enable = true;
      locale.enable = true;
    };

    boot = {
      loader.systemd.enable = true;
      greeter.greetd.enable = true;
      greeter.greetd.session = "Hyprland";
    };

    wm.hyprland = {
      enable = true;

      config = {
        monitors.displays = [
          {
            output = "eDP-1";
            x = 0;
            y = 0;
            bar = "right";
          }
        ];
        monitors.bindWorkspaces = "interlaced";
      };
    };

    hardware = {
      audio.enable = true;
      bluetooth.enable = true;
      wifi.enable = true;
    };

    network = {
      ssh.enable = true;
      syncthing.enable = true;
      tailscale.enable = true;
    };

    apps = {
      dev.enable = true;
      visual.enable = true;
      terminal = {
        enable = true;
        zsh.enable = true;
      };
    };
  };
}
